""" Unit tests for mymath module """
import unittest
import mymath

class Test(unittest.TestCase):
    """ Test class for untit tests """
    def test_mean_even(self):
        """ Unit test for mean function """
        test_arr = [1,2,3,4,5]
        result = mymath.mean(test_arr)
        self.assertEqual(result, 3, "test_mean_even - exp: 3, res: " + str(result))

    def test_mean_odd(self):
        """ Unit test for mean function """
        test_arr = [-1,2,-3,4,-5]
        result = mymath.mean(test_arr)
        self.assertEqual(result, -1, "test_mean_odd - exp: -1, res: " + str(result))

    def test_mean_float(self):
        """ Unit test for mean function """
        test_arr = [1.9,2.007,3.4,4,50.678]
        result = mymath.mean(test_arr)
        self.assertEqual(result, 12.397, "test_mean_float - exp: 12.397, res: " + str(result))

    def test_mean_empty(self):
        """ Unit test for mean function """
        test_arr = []
        result = mymath.mean(test_arr)
        self.assertIsNone(result)
